Subject: Re: bug#53626: 28.0.91; project-find-regexp (C-x p g) twice results in searching different projects

From: Sean Whitton <[email-masked]>
Date: Mon, 21 Feb 2022 16:00:59 -0700

Hello,

On Mon 21 Feb 2022 at 03:55am +02, Dmitry Gutov wrote:

> On 07.02.2022 05:12, Dmitry Gutov wrote:
>>> Maybe we could rename the old buffer to a temp name, then create and
>>> fill the new one, then set the old buffer's window's buffer to the new
>>> one, and finally kill the old one.  But this is not nice at all.
>>
>> Right.
>
> We can also try a lighter-weight hack like below. WDYT?

I think I prefer my with-temp-buffer thing to this, to be honest --
adding a timer into the mix seems like it might make debugging harder.

Assuming you're still okay with my initial idea, I'll come up with a
patch to do it with a macro, and apply it across project.el.

-- 
Sean Whitton